Macro pour les installer tous !

Forum destiné aux questions et discussions en français
Forum rules
Règles du forum et informations utiles.

VEUILLEZ LIRE CECI AVANT DE DEMANDER DE L'AIDE
jbe
Posts: 279
Joined: Sun Nov 10, 2013 4:18 pm
Location: France, Châteauroux

Macro pour les installer tous !

Postby jbe » Tue Jul 19, 2016 10:42 am

Après avoir reformaté mon PC et réinstaller Freecad, je n'arrive pas à retrouver sur le forum la macro qui installe toutes les autres.
Si quelqu'un la retrouve je suis preneur.
User avatar
rockn
Posts: 1681
Joined: Wed Sep 28, 2011 10:39 am
Location: Toulouse, France
Contact:

Re: Macro pour les installer tous !

Postby rockn » Tue Jul 19, 2016 11:55 am

Salut jbe,
Il y a la macro addons-installer ¹ qui permet d'installer tous les atelier complémentaire et quelque macro (comme work feature).
Sinon il y a la macro pluginloader de microelly2 ² qui permet d'installer plein de macros.

1 https://github.com/FreeCAD/FreeCAD-addons
2 https://github.com/microelly2/freecad-pluginloader
Formations et tutoriels FreeCAD en Français, soutenez moi : https://www.tipeee.com/formations-freecad
jbe
Posts: 279
Joined: Sun Nov 10, 2013 4:18 pm
Location: France, Châteauroux

Re: Macro pour les installer tous !

Postby jbe » Thu Jul 28, 2016 7:18 pm

Merci de ta réponse.
Mon soucis :
Les macros téléchargées avec FreeCAD-addons s'installent dans .Freecad \Mod.
Mais quand je lance Freecad, je ne vois pas les macros.
J'ai donc changé le chemin des macros, pour aller dans .Freecad \Mod, puis redémarrer Freecad, et là toujours rien.

Dans le répertoire, .Freecad \Mod, il n'y a que des dossier pas de fichier (.py ou autre chose)
J'utilise la version 0.16 de Freecad.

Comment faire ?
jbe
Posts: 279
Joined: Sun Nov 10, 2013 4:18 pm
Location: France, Châteauroux

Re: Macro pour les installer tous !

Postby jbe » Sun Jul 31, 2016 9:26 pm

J'ai approfondi l'erreur, et Freecad m'annonce :
Mod pluginloader InitGui.py starting ...
During initialization the error No module named yaml occurred in /usr/lib/freecad/Mod/plugins/InitGui.py

Dans le fichier InitGui.py il semblerait qu'il cherche un "module yaml", qu'il ne trouve pas.

Comment résoudre cette erreur ?
jbe
Posts: 279
Joined: Sun Nov 10, 2013 4:18 pm
Location: France, Châteauroux

Re: Macro pour les installer tous !

Postby jbe » Sun Jul 31, 2016 9:49 pm

J'ai trouvé, il faut installer yaml pour que cela fonctionne par :
sudo apt-get install python-yaml
fmd14
Posts: 64
Joined: Tue Aug 25, 2015 3:50 pm

Re: Macro pour les installer tous !

Postby fmd14 » Tue Aug 02, 2016 7:08 am

Bonjour ,

comment fait-on pour installer sudo apt-get install python-yaml

et ou le trouver
FMD14
jbe
Posts: 279
Joined: Sun Nov 10, 2013 4:18 pm
Location: France, Châteauroux

Re: Macro pour les installer tous !

Postby jbe » Tue Aug 02, 2016 7:56 am

Je suis sous Ubuntu, et j'ai tapé en mode Terminal:
sudo apt-get install python-yaml
fmd14
Posts: 64
Joined: Tue Aug 25, 2015 3:50 pm

Re: Macro pour les installer tous !

Postby fmd14 » Tue Aug 02, 2016 9:44 am

bonjour,

je suis w10

je ne connais pas le mode terminal
FMD14
jbe
Posts: 279
Joined: Sun Nov 10, 2013 4:18 pm
Location: France, Châteauroux

Re: Macro pour les installer tous !

Postby jbe » Tue Aug 02, 2016 2:37 pm

Va sur le site YAML, tu trouveras probablement une procédure d'installation.
Ou alors passe ton PC sous Ubuntu... mais c'est une autre philosophie.
fmd14
Posts: 64
Joined: Tue Aug 25, 2015 3:50 pm

Re: Macro pour les installer tous !

Postby fmd14 » Sat Sep 17, 2016 5:29 pm

bonsoir

OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Build type: Release
Branch: releases/FreeCAD-0-16
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17


j'ai un petit problème pour installer la macro Bolts
ErreurBolts.jpg
ErreurBolts.jpg (128.38 KiB) Viewed 2483 times
il y a un message d'erreur qui est en rouge au bas de l'écran de freecad

je ne sais pas comment me sortir de ça

merci pour vote aide
FMD14